Bug 1130726 - [RFE][keystone]: Add CADF notifications for role assignments
Summary: [RFE][keystone]: Add CADF notifications for role assignments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 6.0 (Juno)
Assignee: Nathan Kinder
QA Contact: Mike Abrams
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 04:03 UTC by RHOS Integration
Modified: 2016-04-26 19:18 UTC (History)
6 users (show)

Fixed In Version: openstack-keystone-2014.2-1.el7ost
Doc Type: Enhancement
Doc Text:
With this release, keystone now emits CADF notifications for role assignment events, providing a more complete audit trail. Role assignment operations affect a user's access to cloud resources; keeping an audit trail of these actions can be important to detect malicious actions.
Clone Of:
Environment:
Last Closed: 2015-03-05 18:20:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0639 normal SHIPPED_LIVE openstack-keystone bug fix advisory 2015-03-06 19:32:03 UTC

Description RHOS Integration 2014-08-17 04:03:03 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/role-assignment-notifications.

Description:

Expand on the notifications that are emitted from Keystone by adding support for role assignments.

Specification URL (additional information):

http://specs.openstack.org/openstack/keystone-specs/specs/juno/role-assignment-notifications.html

Comment 4 Arthur Berezin 2015-02-17 09:30:46 UTC
Setting priority to medium, this RFE covers only role assignment notifications, the rest should be covered by BZ#1166483

Comment 7 errata-xmlrpc 2015-03-05 18:20:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0639.html


Note You need to log in before you can comment on or make changes to this bug.